﻿Public Class AdobeLinkLabel
    Inherits AdobeLabel

#Region "Constructor"
    Public Sub New()
        Me.Cursor = Cursors.Hand
        Me.SetStyle(ControlStyles.Selectable, True)
    End Sub
#End Region

#Region "Drawing"
    Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)
        MyBase.OnPaint(e)
        Dim g As Graphics = e.Graphics
        If Me.Focused Then
            Try
                Using p As New Pen(Color.White, 1.0!)
                    p.DashPattern = New Single() {1.0!, 3.0!}
                    p.DashStyle = Drawing2D.DashStyle.Custom

                    Dim r As New Rectangle(New Point(1, 1), TextRenderer.MeasureText(Me.Text, AdobeStringRenderer.DefaultFont(12, FontStyle.Regular)))
                    g.DrawRectangle(p, r)
                End Using
            Catch ex As Exception
                Debug.Write(ex)
                Throw
            End Try
        End If
    End Sub
#End Region

End Class
